public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Kristian Fiskerstrand" <k_f@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: gnome-extra/cinnamon-screensaver/
Date: Tue, 22 Nov 2016 20:42:27 +0000 (UTC)	[thread overview]
Message-ID: <1479847327.c3d6108540cfe479894aff38e35d3b2a726d70e4.k_f@gentoo> (raw)

commit:     c3d6108540cfe479894aff38e35d3b2a726d70e4
Author:     Kristian Fiskerstrand <k_f <AT> gentoo <DOT> org>
AuthorDate: Tue Nov 22 20:39:40 2016 +0000
Commit:     Kristian Fiskerstrand <k_f <AT> gentoo <DOT> org>
CommitDate: Tue Nov 22 20:42:07 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c3d61085

gnome-extra/cinnamon-screensaver: New upstream version 3.2.2

Package-Manager: portage-2.3.2

 gnome-extra/cinnamon-screensaver/Manifest          |  1 +
 .../cinnamon-screensaver-3.2.2.ebuild              | 90 ++++++++++++++++++++++
 2 files changed, 91 insertions(+)

diff --git a/gnome-extra/cinnamon-screensaver/Manifest b/gnome-extra/cinnamon-screensaver/Manifest
index 3a921d5..d539b77 100644
--- a/gnome-extra/cinnamon-screensaver/Manifest
+++ b/gnome-extra/cinnamon-screensaver/Manifest
@@ -1,2 +1,3 @@
 DIST cinnamon-screensaver-2.8.0.tar.gz 146275 SHA256 595c787bdc9d3a7189d603fe065475e39ac09f957de2da8423b685ade1441036 SHA512 438ce35145d29b2cee8bb2f07191e0aeb5803e21a67ddd0a4bb13e113ac12e2e1be6b8780c657a67e9c27f8cb09aaec1e261f478432aa9fdbd1f21229294df6d WHIRLPOOL 61a2af9bdfcc4be850ff4455782f00048d12ee1d1f36cd35acdc498e4054d450946a064db8b09b6c6000b897af21cfa0a3acc699eefdef437a699e454e252dcc
 DIST cinnamon-screensaver-3.0.1.tar.gz 147036 SHA256 de32ab1852b605835ea0ca41f248d18b32d7805d479eb6fd5877d4de92dbb784 SHA512 d9ad3f5c09d35388811387e3a7d1a8637d59390c4f797dedc4f6ff97cff631deb009d1cd1288317ca119f5db6456c05fd99c87c135595b2b1f07882892447427 WHIRLPOOL 6b4094cff650234933d82248fc671e399956bc435d1c47aa3b6869f2ba7c3eaaf9d973e05d29f1c274b269b6be62beca0ff0b3babc3804a73d62b9329be568f2
+DIST cinnamon-screensaver-3.2.2.tar.gz 120816 SHA256 d8ec85d3b984f527790d68d61156adea84f84f35bc956d32923d5116d4937df2 SHA512 0ebc5da00973b6b7972e3f7a2ee671d204cadf25ae99af8a53fd176a5070598aaec9a0def86dca47538e6334c2b6d19db09bc0ac1ec226c85b439c0762a40d18 WHIRLPOOL dfd8ba669cd5732b5ff9e32fd9a1f5076da6da333d6a0822060340948b85aba34f043bd39a24797a7cef5ea0eb2f2e5acd931e3a76883da388bd5179f9df9c33

diff --git a/gnome-extra/cinnamon-screensaver/cinnamon-screensaver-3.2.2.ebuild b/gnome-extra/cinnamon-screensaver/cinnamon-screensaver-3.2.2.ebuild
new file mode 100644
index 00000000..cc0a1f9
--- /dev/null
+++ b/gnome-extra/cinnamon-screensaver/cinnamon-screensaver-3.2.2.ebuild
@@ -0,0 +1,90 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+PYTHON_COMPAT=( python3_4 )
+
+inherit autotools gnome2 multilib python-single-r1
+
+DESCRIPTION="Screensaver for Cinnamon"
+HOMEPAGE="http://cinnamon.linuxmint.com/"
+SRC_URI="https://github.com/linuxmint/cinnamon-screensaver/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="GPL-2+"
+SLOT="0"
+IUSE="debug doc pam systemd"
+KEYWORDS="~amd64 ~x86"
+
+COMMON_DEPEND="
+	>=dev-libs/glib-2.37.3:2[dbus]
+	>=x11-libs/gtk+-3.1.4:3[introspection]
+	>=gnome-extra/cinnamon-desktop-2.6.3:0=[systemd=]
+	>=gnome-base/gsettings-desktop-schemas-0.1.7
+	>=gnome-base/libgnomekbd-3.6
+	>=dev-libs/dbus-glib-0.78
+
+	net-libs/webkit-gtk:4[introspection]
+
+	sys-apps/dbus
+	x11-libs/libxklavier
+	x11-libs/libX11
+	x11-libs/libXext
+	x11-libs/libXrandr
+	x11-libs/libXScrnSaver
+	x11-libs/libXxf86misc
+	x11-libs/libXxf86vm
+	x11-themes/adwaita-icon-theme
+
+	${PYTHON_DEPS}
+
+	pam? ( virtual/pam )
+	systemd? ( >=sys-apps/systemd-31:0= )
+"
+# our cinnamon-1.8 ebuilds installed a cinnamon-screensaver.desktop hack
+RDEPEND="
+	!~gnome-extra/cinnamon-1.8.8.1
+	!systemd? ( sys-auth/consolekit )
+	dev-python/pygobject:3[${PYTHON_USEDEP}]
+"
+DEPEND="${COMMON_DEPEND}
+	>=dev-util/intltool-0.35
+	gnome-base/gnome-common
+	sys-devel/gettext
+	virtual/pkgconfig
+	x11-proto/xextproto
+	x11-proto/randrproto
+	x11-proto/scrnsaverproto
+	x11-proto/xf86miscproto
+	doc? (
+		app-text/xmlto
+		app-text/docbook-xml-dtd:4.1.2
+		app-text/docbook-xml-dtd:4.4 )
+"
+
+pkg_setup() {
+	python_setup
+}
+
+src_prepare() {
+	python_fix_shebang screensavers
+	eautoreconf
+	gnome2_src_prepare
+}
+
+src_configure() {
+	gnome2_src_configure \
+		$(usex debug --enable-debug ' ') \
+	# Do not use --without-console-kit, it would provide no benefit: there is
+	# no build-time or run-time check for consolekit, $PN merely listens to
+	# consolekit's messages over dbus.
+}
+
+pkg_postinst() {
+	gnome2_pkg_postinst
+
+	if ! has_version x11-misc/xscreensaver; then
+		elog "${PN} can use screensavers from x11-misc/xscreensaver"
+	fi
+
+}


             reply	other threads:[~2016-11-22 20:42 UTC|newest]

Thread overview: 86+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2016-11-22 20:42 Kristian Fiskerstrand [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-09-27  5:57 [gentoo-commits] repo/gentoo:master commit in: gnome-extra/cinnamon-screensaver/ Eli Schwartz
2024-09-27  5:57 Eli Schwartz
2024-09-25 14:22 Joonas Niilola
2024-09-25 13:58 Joonas Niilola
2024-08-05  3:36 Eli Schwartz
2024-08-05  3:36 Eli Schwartz
2024-05-31  5:30 Joonas Niilola
2024-05-31  5:30 Joonas Niilola
2024-02-15 13:29 Joonas Niilola
2024-02-15 13:29 Joonas Niilola
2023-10-13  7:43 Joonas Niilola
2023-10-04  8:24 Joonas Niilola
2023-09-26 15:59 WANG Xuerui
2023-07-16 18:34 Sam James
2023-06-10 23:05 Andreas Sturmlechner
2023-06-05  9:58 Joonas Niilola
2023-06-05  9:58 Joonas Niilola
2023-05-07 22:14 Sam James
2023-05-07 22:14 Sam James
2023-04-30 16:50 Arthur Zamarin
2023-04-30 16:50 Arthur Zamarin
2022-12-24  7:11 Sam James
2022-11-22  6:20 Sam James
2022-11-22  6:20 Sam James
2022-11-21 17:46 Arthur Zamarin
2022-10-12 23:09 Sam James
2022-10-12 23:09 Sam James
2022-05-11  2:11 Sam James
2022-05-05  3:01 Sam James
2022-05-05  3:01 Sam James
2022-02-18  2:44 Sam James
2022-02-18  2:44 Sam James
2022-01-21 17:15 Sam James
2022-01-21 17:15 Sam James
2021-12-24 20:00 Jakov Smolić
2021-12-24 19:25 Jakov Smolić
2021-11-23  1:25 Yixun Lan
2021-10-20  1:14 Sam James
2021-10-20  1:14 Sam James
2021-07-15 11:32 Joonas Niilola
2021-06-21 22:26 Sam James
2021-06-12  3:55 Sam James
2021-06-08  7:34 Sam James
2021-06-01 16:28 Joonas Niilola
2021-06-01 16:28 Joonas Niilola
2021-03-01 13:02 Joonas Niilola
2021-01-24 17:31 Joonas Niilola
2021-01-06  1:05 Sam James
2020-12-29 17:14 Sam James
2020-12-27  5:06 Sam James
2020-12-27  5:06 Sam James
2020-12-16 22:30 Sam James
2020-09-15 14:20 Joonas Niilola
2020-05-31 19:05 Matt Turner
2020-05-29  0:11 Matt Turner
2020-04-20 20:52 Mart Raudsepp
2020-02-09 16:25 Michał Górny
2019-10-12 19:33 Mikle Kolyada
2019-06-07 20:12 Mikle Kolyada
2019-06-04 20:58 Thomas Deutschmann
2018-11-28 19:56 Kristian Fiskerstrand
2018-11-28 19:56 Kristian Fiskerstrand
2018-07-31  8:38 Kristian Fiskerstrand
2018-04-12 19:07 Thomas Deutschmann
2018-04-06 14:00 Aaron Bauman
2017-11-28 19:52 Kristian Fiskerstrand
2017-11-26 15:43 Kristian Fiskerstrand
2017-09-05 20:05 Kristian Fiskerstrand
2017-06-24 22:47 Kristian Fiskerstrand
2017-06-24 14:58 Kristian Fiskerstrand
2017-06-18 10:05 Pacho Ramos
2017-05-29 16:33 Pacho Ramos
2017-02-11 15:59 Kristian Fiskerstrand
2017-01-10 11:03 Kristian Fiskerstrand
2017-01-08 20:35 Kristian Fiskerstrand
2017-01-08 19:56 Kristian Fiskerstrand
2017-01-06 11:12 Kristian Fiskerstrand
2017-01-05 21:22 Kristian Fiskerstrand
2016-11-27 14:05 Kristian Fiskerstrand
2016-10-01  0:54 Pacho Ramos
2016-09-17 13:29 Kristian Fiskerstrand
2016-05-29 12:42 Pacho Ramos
2016-03-06 18:58 Mikle Kolyada
2015-11-15 22:30 Pacho Ramos
2015-11-15 22:30 Pacho Ramos

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1479847327.c3d6108540cfe479894aff38e35d3b2a726d70e4.k_f@gentoo \
    --to=k_f@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox